version: '2.1'

services:

  elasticsearch:
    image: elasticsearch:1.7-alpine
    environment:
      - "transport.host=127.0.0.1"
      - "http.cors.enabled=true"
      - "http.cors.allow-origin=*"
      - "http.cors.allow-headers=Authorization"
      - "ES_JAVA_OPTS=-Xms1024m -Xmx1024m"
    ports:
      - 9200:9200
    volumes:
      - /usr/share/elasticsearch/data
